import React from "react";
import Switcher from "./Switcher";
import { useTuitioToken } from "@flare/tuitio-client-react";
import LoginContainer from "../../features/login/components/LoginContainer";

const Main = () => {
  const { validate: validateToken } = useTuitioToken();
  const tokenIsValid = validateToken();

  return <>{tokenIsValid ? <Switcher /> : <LoginContainer />}</>;
};

export default Main;
